apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

resources:
  - frontend.yaml
  - catalog-api.yaml
  - ingress.yaml

  - commerce/
patches:
  - path: patches/frontend-resources.yaml
    target:
      group: apps
      version: v1
      kind: Deployment
      name: frontend-deploy

  - path: patches/catalog-resources.yaml
    target:
      group: apps
      version: v1
      kind: Deployment
      name: catalog-api-deploy
